{
    "name": "@golemio/purge",
    "version": "1.0.2",
    "description": "Golemio Purge Module",
    "main": "dist/index.js",
    "types": "dist/index.d.ts",
    "scripts": {
        "build": "rimraf ./dist && ttsc -p ./tsconfig.build.json",
        "build-minimal": "run-s 'build --sourceMap false --declaration false'",
        "build-watch": "run-s 'build --watch --preserveWatchOutput'",
        "pretest": "golemio-import-test-data",
        "test": "cross-env NODE_ENV=test TS_NODE_COMPILER='ttypescript' mocha --exit --check-leaks --timeout 120000 -r ts-node/register 'test/**/*.test.ts'",
        "test-debug": "run-s 'test --inspect-brk=9230'",
        "code-coverage": "nyc run-s 'test -r source-map-support/register'",
        "generate-docs": "typedoc --out docs/typedoc src",
        "lint": "eslint '{src,test}/**/*.ts'"
    },
    "keywords": [
        "golemio"
    ],
    "author": "Operator ICT, a.s.",
    "license": "MIT",
    "repository": {
        "type": "git",
        "url": "https://gitlab.com/operator-ict/golemio/code/modules/purge"
    },
    "devDependencies": {
        "@commitlint/cli": "^11.0.0",
        "@commitlint/config-conventional": "^11.0.0",
        "@golemio/core": "1.1.1",
        "@golemio/eslint-config": "^1.0.2",
        "@types/mocha": "^8.2.0",
        "@types/node": "^14.14.20",
        "@types/sinon": "^9.0.10",
        "@zerollup/ts-transform-paths": "^1.7.18",
        "cross-env": "^7.0.3",
        "eslint": "^7.17.0",
        "husky": "^4.3.7",
        "mocha": "^8.2.1",
        "npm-run-all": "^4.1.5",
        "nyc": "^15.1.0",
        "prettier": "^2.2.1",
        "pretty-quick": "^3.1.0",
        "rimraf": "^3.0.2",
        "sinon": "^9.2.3",
        "source-map-support": "0.5.19",
        "ts-node": "^9.1.1",
        "ttypescript": "^1.5.12",
        "typedoc": "^0.20.28",
        "typescript": "^4.1.3"
    },
    "peerDependencies": {
        "@golemio/core": "^1.1.1"
    },
    "dependencies": {
        "@golemio/shared-bikes": "1.0.0",
        "@golemio/shared-cars": "1.0.1",
        "@golemio/traffic-cameras": "1.0.0"
    },
    "resolutions": {
        "@commitlint/cli/**/trim-newlines": "^3.0.1",
        "hosted-git-info": "^3.0.8"
    }
}
